<?php

class gommero_Customizer {

    public static function gommero_Register($wp_customize) {
        self::gommero_Sections($wp_customize);
        self::gommero_Controls($wp_customize);
    }

    public static function gommero_Sections($wp_customize) {

        /**
         * Add panel for home page feature area
         */
        $wp_customize->add_panel('general_setting_panel', array(
            'title' => __('General Settings', 'gommero'),
            'description' => __('Allows you to setup home page feature area section for Gommero Lite Theme.', 'gommero'),
            'priority' => '10',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Site Title Section
         */
        $wp_customize->add_section('title_tagline', array(
            'title' => __('Site Title & Tagline', 'gommero'),
            'priority' => '',
            'panel' => 'general_setting_panel'
        ));

        /**
         * Remove control for site icon
         */
        $wp_customize->remove_control('site_icon');

        /**
         * Logo and favicon section
         */
        $wp_customize->add_section('logo_fevi_setting', array(
            'title' => __('Logo & Favicon', 'gommero'),
            'description' => __('Allows you to customize header logo, favicon settings for Gommero Lite Theme.', 'gommero'), //Descriptive tooltip
            'panel' => 'general_setting_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home page feature section settings
         */
        $wp_customize->add_section('home_page_feature', array(
            'title' => __('Top Feature Section Settings', 'gommero'),
            'description' => __('Allows you to setup home page top feature section for Gommero Lite Theme.', 'gommero'), //Descriptive tooltip
            'panel' => '',
            'priority' => '11',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home page setting section
         */
        $wp_customize->add_panel('feature_column_panel', array(
            'title' => __('Home Page Settings', 'gommero'),
            'description' => __('Allows you to setup home page section for Gommero Lite Theme.', 'gommero'),
            'panel' => '',
            'priority' => '12',
            'capability' => 'edit_theme_options'
        ));
        /**
         * Home Page feature main heading
         */
        $wp_customize->add_section('home_feature_main_heading', array(
            'title' => __('First Feature Area', 'gommero'),
            'description' => __('Allows you to setup home page main heading feature area section for Gommero Theme.', 'gommero'),
            'panel' => 'feature_column_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page feature area 1
         */
        $wp_customize->add_section('home_feature_area_section1', array(
            'title' => __('First Feature Area', 'gommero'),
            'description' => __('Allows you to setup first feature area section for Gommero Theme.', 'gommero'),
            'panel' => 'feature_column_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page feature area 2
         */
        $wp_customize->add_section('home_feature_area_section2', array(
            'title' => __('Second Feature Area', 'gommero'),
            'description' => __('Allows you to setup second feature area section for Gommero Theme.', 'gommero'),
            'panel' => 'feature_column_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page feature area 3
         */
        $wp_customize->add_section('home_feature_area_section3', array(
            'title' => __('Third Feature Area', 'gommero'),
            'description' => __('Allows you to setup third feature area section for Gommero Theme.', 'gommero'),
            'panel' => 'feature_column_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Post On Home Page
         */
        $wp_customize->add_section('home_feature_post', array(
            'title' => __('Post On Home Page Area', 'gommero'),
            'description' => __('Allows you to setup post on home page section for Gommero Theme.', 'gommero'),
            'panel' => 'feature_column_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Social Icons Setting
         */
        $wp_customize->add_section('social_icons', array(
            'title' => __('Social Icons Settings', 'gommero'),
            'description' => __('Allows you to setup social icons section for Gommero Lite Theme.', 'gommero'),
            'panel' => '',
            'priority' => '13',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Add panel for styling option
         */
        $wp_customize->add_panel('style_setting', array(
            'title' => __('Style Settings', 'gommero'),
            'description' => __('Allows you to setup Theme text and Background color for Gommero Lite Theme.', 'gommero'),
            'priority' => '14',
            'capability' => 'edit_theme_options'
        ));
        /**
         * Background Image Section
         */
        $wp_customize->add_section('background_image', array(
            'title' => __('Background Image setting', 'gommero'),
            'description' => __('Allows you to change background image for Gommero Lite Theme. This will overright the background color property', 'gommero'),
            'priority' => '',
            'panel' => 'style_setting'
        ));
        /**
         * Style Section
         */
        $wp_customize->add_section('style_section', array(
            'title' => __('Custom Style Setting', 'gommero'),
            'description' => __('Allows you to change style using custom css for Gommero Lite Theme.', 'gommero'),
            'panel' => 'style_setting',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        $wp_customize->remove_section("colors");
    }

    public static function gommero_Section_Content() {
        $section_content = array(
            'logo_fevi_setting' => array(
                'gommero_logo',
                'gommero_favicon'
            ),
            'home_page_feature' => array(
                'gommero_slideimage1',
                'gommero_slidelink1'
            ),
            'home_feature_main_heading' => array(
                'gommero_mainheading'
            ),
            'home_feature_area_section1' => array(
                'gommero_fimg1',
                'gommero_headline1',
                'gommero_link1',
                'gommero_feature1'
            ),
            'home_feature_area_section2' => array(
                'gommero_fimg2',
                'gommero_headline2',
                'gommero_link2',
                'gommero_feature2'
            ),
            'home_feature_area_section3' => array(
                'gommero_fimg3',
                'gommero_headline3',
                'gommero_link3',
                'gommero_feature3'
            ),
            'home_feature_post' => array(
                'gommero_post_front',
            ),
            'style_section' => array(
                'gommero_customcss'
            ),
            'social_icons' => array(
                'gommero_facebook',
                'gommero_twitter',
                'gommero_rss'
            )
        );
        return $section_content;
    }

    public static function gommero_Settings() {

        $theme_settings = array(
            'gommero_logo' => array(
                'id' => 'gommero_options[gommero_logo]',
                'label' => __('Custom Logo', 'gommero'),
                'description' => __('Upload a logo for your Website. The recommended size for the logo is 221px width x 84px height.', 'gommero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/logo.png'
            ),
            'gommero_favicon' => array(
                'id' => 'gommero_options[gommero_favicon]',
                'label' => __('Custom Favicon', 'gommero'),
                'description' => __('Here you can upload a Favicon for your Website. Specified size is 16px x 16px.', 'gommero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'gommero_slideimage1' => array(
                'id' => 'gommero_options[gommero_slideimage1]',
                'label' => __('Feature Image', 'gommero'),
                'description' => __('Choose your image for feature. Optimal size is 640px wide and 332px height.', 'gommero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'gommero_slidelink1' => array(
                'id' => 'gommero_options[gommero_slidelink1]',
                'label' => __('Feature Read More Link', 'gommero'),
                'description' => __('Enter yout link url for read more', 'gommero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            // Home Page Main Heading
            'gommero_mainheading' => array(
                'id' => 'gommero_options[gommero_mainheading]',
                'label' => __('Homepage Content Heading', 'gommero'),
                'description' => __('Enter your text heading for homepage content heading', 'gommero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            // Home Page Feature Column 1
            'gommero_fimg1' => array(
                'id' => 'gommero_options[gommero_fimg1]',
                'label' => __('First Feature Image', 'gommero'),
                'description' => __('Choose image for your feature column first. Optimal size 198px x 115px', 'gommero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/featureimg.jpg'
            ),
            'gommero_headline1' => array(
                'id' => 'gommero_options[gommero_headline1]',
                'label' => __('First Feature Heading', 'gommero'),
                'description' => __('Enter your heading line for first column', 'gommero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'gommero_link1' => array(
                'id' => 'gommero_options[gommero_link1]',
                'label' => __('First Feature Link', 'gommero'),
                'description' => __('Enter your link for feature column first', 'gommero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'gommero_feature1' => array(
                'id' => 'gommero_options[gommero_feature1]',
                'label' => __('First Feature Content', 'gommero'),
                'description' => __('Enter your feature content for column first', 'gommero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            // Home Page Feature Column 1
            'gommero_fimg2' => array(
                'id' => 'gommero_options[gommero_fimg2]',
                'label' => __('First Feature Image', 'gommero'),
                'description' => __('Choose image for your feature column first. Optimal size 198px x 115px', 'gommero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/featureimg.jpg'
            ),
            'gommero_headline2' => array(
                'id' => 'gommero_options[gommero_headline2]',
                'label' => __('First Feature Heading', 'gommero'),
                'description' => __('Enter your heading line for first column', 'gommero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'gommero_link2' => array(
                'id' => 'gommero_options[gommero_link2]',
                'label' => __('First Feature Link', 'gommero'),
                'description' => __('Enter your link for feature column first', 'gommero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'gommero_feature2' => array(
                'id' => 'gommero_options[gommero_feature2]',
                'label' => __('First Feature Content', 'gommero'),
                'description' => __('Enter your feature content for column first', 'gommero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            // Home Page Feature Column 3
            'gommero_fimg3' => array(
                'id' => 'gommero_options[gommero_fimg3]',
                'label' => __('First Feature Image', 'gommero'),
                'description' => __('Choose image for your feature column first. Optimal size 198px x 115px', 'gommero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/featureimg.jpg'
            ),
            'gommero_headline3' => array(
                'id' => 'gommero_options[gommero_headline3]',
                'label' => __('First Feature Heading', 'gommero'),
                'description' => __('Enter your heading line for first column', 'gommero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'gommero_link3' => array(
                'id' => 'gommero_options[gommero_link3]',
                'label' => __('First Feature Link', 'gommero'),
                'description' => __('Enter your link for feature column first', 'gommero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'gommero_feature3' => array(
                'id' => 'gommero_options[gommero_feature3]',
                'label' => __('First Feature Content', 'gommero'),
                'description' => __('Enter your feature content for column first', 'gommero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            //  Post on home page condition
            'gommero_post_front' => array(
                'id' => 'gommero_options[gommero_post_front]',
                'label' => __('Posts On Front Page', 'gommero'),
                'description' => __('Turn on or off the home page blog post as per your requirement.', 'gommero'),
                'type' => 'option',
                'setting_type' => 'checkbox',
                'default' => '1'
            ),
            'gommero_customcss' => array(
                'id' => 'gommero_options[gommero_customcss]',
                'label' => __('Custom CSS', 'gommero'),
                'description' => __('Quickly add your custom CSS code to your theme by writing the code in this block.', 'gommero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'gommero_facebook' => array(
                'id' => 'gommero_options[gommero_facebook]',
                'label' => __('Facebook URL', 'gommero'),
                'description' => __('Enter your Facebook URL if you have one', 'gommero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'gommero_twitter' => array(
                'id' => 'gommero_options[gommero_twitter]',
                'label' => __('Twitter URL', 'gommero'),
                'description' => __('Enter your Twitter URL if you have one', 'gommero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
            'gommero_rss' => array(
                'id' => 'gommero_options[gommero_rss]',
                'label' => __('RSS URL', 'gommero'),
                'description' => __('Enter your RSS Feed URL if you have one', 'gommero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),
        );
        return $theme_settings;
    }

    public static function gommero_Controls($wp_customize) {
        $sections = self::gommero_Section_Content();
        $settings = self::gommero_Settings();
        foreach ($sections as $section_id => $section_content) {
            foreach ($section_content as $section_content_id) {
                switch ($settings[$section_content_id]['setting_type']) {
                    case 'image':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'gommero_sanitize_url');
                        $wp_customize->add_control(new WP_Customize_Image_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;
                    case 'text':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'gommero_sanitize_text');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'textarea':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'gommero_sanitize_textarea');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'textarea'
                                )
                        ));
                        break;

                    case 'link':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'gommero_sanitize_url');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'color':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'gommero_sanitize_color');

                        $wp_customize->add_control(new WP_Customize_Color_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;

                    case 'number':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'gommero_sanitize_number');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'select':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'gommero_sanitize_select');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'select',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;

                    case 'radio':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'gommero_sanitize_radio');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'radio',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;

                    case 'checkbox':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'gommero_sanitize_checkbox');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'checkbox'
                                )
                        ));
                        break;

                    case 'texteditor':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'gommero_sanitize_html');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'textarea'
                                )
                        ));
                        break;

                    default:
                        break;
                }
            }
        }
    }

    public static function add_setting($wp_customize, $setting_id, $default, $type, $sanitize_callback) {
        $wp_customize->add_setting($setting_id, array(
            'default' => $default,
            'capability' => 'edit_theme_options',
            'sanitize_callback' => array('gommero_Customizer', $sanitize_callback),
            'type' => $type
                )
        );
    }

    /**
     * adds sanitization callback funtion : textarea
     * @package gommero
     */
    public static function gommero_sanitize_textarea($value) {
        $array = wp_kses_allowed_html('post');
        $allowedtags = array(
            'iframe' => array(
                'width' => array(),
                'height' => array(),
                'frameborder' => array(),
                'scrolling' => array(),
                'src' => array(),
                'marginwidth' => array(),
                'marginheight' => array()
            )
        );
        $data = array_merge($allowedtags, $array);
        $value = wp_kses($value, $data);
        return $value;
    }

    /**
     * adds sanitization callback funtion : url
     * @package gommero
     */
    public static function gommero_sanitize_url($value) {
        $value = esc_url($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : text
     * @package gommero
     */
    public static function gommero_sanitize_text($value) {
        $value = sanitize_text_field($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : email
     * @package gommero
     */
    public static function gommero_sanitize_email($value) {
        $value = sanitize_email($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package gommero
     */
    public static function gommero_sanitize_number($value) {
        $value = preg_replace("/[^0-9+ ]/", "", $value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package gommero
     */
    public static function gommero_sanitize_color($value) {
        $value = sanitize_hex_color($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : select
     * @package gommero
     */
    public static function gommero_sanitize_select($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }

    /**
     * adds sanitization callback funtion : checkbox
     * @package gommero
     */
    public static function gommero_sanitize_checkbox($value) {
        if ($value == 1) {
            return 1;
        } else {
            return '';
        }
    }

    /**
     * adds sanitization callback funtion : radio
     * @package gommero
     */
    public static function gommero_sanitize_radio($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }

    /**
     * adds sanitization callback funtion : html content
     * @package gommero
     */
    public static function gommero_sanitize_html($value) {
        $value = wp_kses_post($value);
        return $value;
    }

}

// Setup the Theme Customizer settings and controls...
add_action('customize_register', array('gommero_Customizer', 'gommero_Register'));

function gommero_registers() {
    wp_register_script('gommero_jquery_ui', '//code.jquery.com/ui/1.11.0/jquery-ui.js', array("jquery"), true);
    wp_register_script('gommero_customizer_script', get_template_directory_uri() . '/functions/js/inkthemes_customizer.js', array("jquery", "gommero_jquery_ui"), true);
    wp_enqueue_script('gommero_customizer_script');
    wp_localize_script('gommero_customizer_script', 'ink_advert', array(
        'pro' => __('View PRO version', 'gommero'),
        'url' => esc_url('http://www.inkthemes.com/wp-themes/travel-blog-wordpress-theme/'),
        'support_text' => __('Need Help!', 'gommero'),
        'support_url' => esc_url('http://www.inkthemes.com/lets-connect/')
    ));
}

add_action('customize_controls_enqueue_scripts', 'gommero_registers');
